org.icefaces.ace.model.table

## Class RowStateMap

- java.lang.Object
- - org.icefaces.ace.model.table.RowStateMap

- All Implemented Interfaces:
    java.io.Serializable, java.util.Map<java.lang.Object,RowState>

      public class RowStateMap
      extends java.lang.Object
      implements java.util.Map<java.lang.Object,RowState>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowStateMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object o)`
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set` | `entrySet()`
    `void` | `filterStates(javax.faces.model.DataModel model)` This method will remove all entries from the map but those with keys in this data model.
    `void` | `filterStates(java.util.List data)` This method will remove all entries from the map but those with keys in this list.
    `RowState` | `get(java.lang.Object o)`
    `java.util.List` | `getEditable()`
    `java.util.List` | `getEditing(javax.faces.component.UIComponent editor)`
    `java.util.List` | `getExpandable()`
    `java.util.List` | `getExpanded()`
    `java.util.List` | `getPanelExpanders()`
    `java.util.List` | `getRowExpanders()`
    `java.util.List` | `getRowsWithSelectedCells()`
    `java.util.List` | `getSelectable()`
    `java.util.List` | `getSelected()`
    `java.util.List` | `getVisible()`
    `boolean` | `isEmpty()`
    `java.util.Set` | `keySet()`
    `RowState` | `put(java.lang.Object o, RowState s)`
    `void` | `putAll(java.util.Map m)`
    `RowState` | `remove(java.lang.Object o)`
    `void` | `removeStates(java.util.List data)` This method will remove all entries from the map with keys in this list.
    `void` | `setAllEditable(boolean value)`
    `void` | `setAllEditing(javax.faces.component.UIComponent editor, boolean add)`
    `void` | `setAllExpandable(boolean value)`
    `void` | `setAllExpanded(boolean value)`
    `void` | `setAllPanelExpansion()`
    `void` | `setAllRowExpansion()`
    `void` | `setAllSelectable(boolean value)`
    `void` | `setAllSelected(boolean value)`
    `void` | `setAllVisible(boolean value)`
    `void` | `setExpandableByTreeModel(TreeDataModel dataModel)`
    `int` | `size()`
    `void` | `updateData(java.util.List data)` This method will look up state entries with keys in the input list, and update their key with the copy from the input list.
    `void` | `updateData(java.lang.Object o)`
    `java.util.Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### RowStateMap

          public RowStateMap()

  - ### Method Detail

    - #### put

          public RowState put(java.lang.Object o,
                              RowState s)

      Specified by:
        `put` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### add

          public void add(java.lang.Object o)

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### get

          public RowState get(java.lang.Object o)

      Specified by:
        `get` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### remove

          public RowState remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### putAll

          public void putAll(java.util.Map m)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### keySet

          public java.util.Set keySet()

      Specified by:
        `keySet` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### values

          public java.util.Collection values()

      Specified by:
        `values` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### entrySet

          public java.util.Set entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.Object,RowState>`

    - #### updateData

          public void updateData(java.lang.Object o)

    - #### updateData

          public void updateData(java.util.List data)

      This method will look up state entries with keys in the input list, and update their key with the copy from the input list. This method is useful in applications where row data is updated by replacing a row with an object copy that is equal() but contains differences that must be reflected in methods that return row data from the rowStateMap. Without updating, in this circumstance, the key is still a reference to the old copy of the data, and though the state will be correctly correlated to the new key, methods returning the key, will return the old key.
      Parameters:
        `data` - - A list of row data equal() to some key already in the rowStateMap, but with changes that require the current key to be replaced.

    - #### removeStates

          public void removeStates(java.util.List data)

      This method will remove all entries from the map with keys in this list.
      Parameters:
        `data` - the row data to remove states for

    - #### filterStates

          public void filterStates(java.util.List data)

      This method will remove all entries from the map but those with keys in this list.
      Parameters:
        `data` - the row data list to keep states for

    - #### filterStates

          public void filterStates(javax.faces.model.DataModel model)

      This method will remove all entries from the map but those with keys in this data model.
      Parameters:
        `model` - The data model to keep states for

    - #### setExpandableByTreeModel

          public void setExpandableByTreeModel(TreeDataModel dataModel)

    - #### getSelected

          public java.util.List getSelected()

    - #### getRowsWithSelectedCells

          public java.util.List getRowsWithSelectedCells()

    - #### getSelectable

          public java.util.List getSelectable()

    - #### getEditable

          public java.util.List getEditable()

    - #### getExpanded

          public java.util.List getExpanded()

    - #### getExpandable

          public java.util.List getExpandable()

    - #### getVisible

          public java.util.List getVisible()

    - #### getEditing

          public java.util.List getEditing(javax.faces.component.UIComponent editor)

    - #### getRowExpanders

          public java.util.List getRowExpanders()

    - #### getPanelExpanders

          public java.util.List getPanelExpanders()

    - #### setAllSelected

          public void setAllSelected(boolean value)

    - #### setAllSelectable

          public void setAllSelectable(boolean value)

    - #### setAllEditable

          public void setAllEditable(boolean value)

    - #### setAllExpanded

          public void setAllExpanded(boolean value)

    - #### setAllExpandable

          public void setAllExpandable(boolean value)

    - #### setAllVisible

          public void setAllVisible(boolean value)

    - #### setAllRowExpansion

          public void setAllRowExpansion()

    - #### setAllPanelExpansion

          public void setAllPanelExpansion()

    - #### setAllEditing

          public void setAllEditing(javax.faces.component.UIComponent editor,
                                    boolean add)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.